Name:		qubes-usb-proxy-dom0
Version:	1.1.5
Release:	1%{?dist}
Summary:	USBIP wrapper to run it over Qubes RPC connection - dom0 files

Group:		System
License:	GPLv2
URL:		https://www.qubes-os.org/
BuildArch:  noarch

BuildRequires: make
BuildRequires: python3-devel
BuildRequires: python3-setuptools

Source0: qubes-usb-proxy-%{version}.tar.gz

%description
Dom0 files for Qubes USBIP wrapper. This includes Qubes tools integration.
This package also contains tests.

%prep
%setup -q -n qubes-usb-proxy-%{version}

%install
make install-dom0 DESTDIR=${RPM_BUILD_ROOT}

%files
%attr(0664,root,qubes) %config(noreplace) /etc/qubes-rpc/policy/qubes.USB
%dir %{python3_sitelib}/qubesusbproxy-*.egg-info
%{python3_sitelib}/qubesusbproxy-*.egg-info/*
%{python3_sitelib}/qubesusbproxy

%changelog
* Sat Apr 29 2023 Qubes OS Team <qubes-devel@googlegroups.com>
- For complete changelog see: https://github.com/QubesOS/qubes-app-linux-usb-proxy.git

* Sat Apr 29 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 57ab394
- version 1.1.5

* Mon Apr 17 2023 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - fae57e2
- Bare support for new packaging with PKGBUILD.in

* Sun Apr 02 2023 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - e1becec
- Rework Archlinux packaging

* Wed Jan 18 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - ed55d00
- version 1.1.4

* Wed Jan 18 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 92cd99f
- Add missing import collections

* Wed Jan 18 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - bd99f86
- version 1.1.3

* Mon Jan 16 2023 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 99c6e12
- spec: add BR python3-setuptools

* Mon Jan 16 2023 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 090a2b0
- Cleanup python2 code and packaging

* Wed Jan 04 2023 Rudd-O <rudd-o@rudd-o.com> - 6a32aba
- Fix sys-usb: keyerror that prevents persistent attachments on VM start.

* Thu Oct 27 2022 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - a6c84cc
- version 1.1.2

* Mon Oct 24 2022 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 0c7d8b7
- Detach all devices before suspending

* Mon Oct 24 2022 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - fa34c1f
- Use async/await

* Mon May 09 2022 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - cdfda03
- .qubesbuilder: replace 'spec' by 'build'

* Mon Apr 18 2022 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 4678717
- Add Qubes Builder v2 integration

* Fri Apr 15 2022 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 51dc39c
- Drop Travis CI

* Fri Sep 10 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 62a1082
- version 1.1.1

* Sun Sep 05 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 6f62400
- tests: increase timeout for device reconnect

* Sat Sep 04 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 0b627b6
- Fix checking if modprobe is available

* Sat Jul 10 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 0c979e3
- version 1.1.0

* Wed Jun 23 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - a542dee
- Make it work on R4.0 too

* Sun May 23 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - df21aad
- version 1.0.30

* Sat May 08 2021 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - b87c557
- spec: add BR make

* Tue Feb 09 2021 Dmitry Fedorov <d.fedorov@tabit.pro> - 2b32d1a
- winusb: fix feature naming

* Thu Jan 28 2021 Dmitry Fedorov <d.fedorov@tabit.pro> - 558e36c
- winusb: remove redundant rules

* Thu Jan 28 2021 Dmitry Fedorov <d.fedorov@tabit.pro> - 867cacf
- winusb: fix feature naming

* Tue Jan 19 2021 Dmitry Fedorov <d.fedorov@tabit.pro> - 368bee2
- winusb: make modprobe and udevadm usage optional

* Tue Jan 19 2021 Dmitry Fedorov <d.fedorov@tabit.pro> - 69467b2
- winusb: Write guest domain to the qubesdb when device connected to stubdom

* Tue Jan 19 2021 Dmitry Fedorov <d.fedorov@tabit.pro> - 6f9beda
- winusb: test usb device in stubdom

* Tue Jan 19 2021 Dmitry Fedorov <d.fedorov@tabit.pro> - a351cc0
- winusb: attach usb device to stubdom if feature enabled

* Sun Nov 15 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 6b6bb38
- Add .gitlab-ci.yml

* Sat Aug 15 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 49f9dd1
- version 1.0.29

* Sat Aug 15 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - c780641
- Add Super Speed Plus (10000) to allowed speed values

* Fri Aug 07 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 5aae530
- Update travis

* Wed Apr 01 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 45f6707
- version 1.0.28

* Wed Mar 11 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 627b3e5
- Keep the process running to not close qrexec connection prematurely

* Sun Mar 01 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - b3a3e7a
- tests: adjust delay after removing/detaching device

* Fri Jan 17 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 2668a1f
- version 1.0.27

* Thu Jan 16 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 6de5382
- Clear cache when Qubes() object is getting destroyed

* Wed Jan 08 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 1beb118
- version 1.0.26

* Wed Jan 08 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - e927a99
- Fix attach timeout handling

* Mon Jan 06 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 6343522
- version 1.0.25

* Mon Jan 06 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 4be56f0
- travis: switch R4.1 to fc31 dom0

* Mon Jan 06 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 46d9b2b
- Don't include python2 tests on new dom0 (based on >f28)

* Mon Jan 06 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 1662c89
- Add attach timeout

* Wed Dec 11 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 8a0f905
- version 1.0.24

* Wed Dec 11 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 65aaadc
- Fix device cache initialization

* Tue Dec 10 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 3633e83
- version 1.0.23

* Sat Dec 07 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 6a3e33f
- Ensure dom0 receives events on attach/detach

* Sat Dec 07 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - a505ce7
- Send events even when device is attached/detached by alternative method

* Sat Oct 19 2019 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 72172bc
- travis: switch to bionic

